
local name, Forager = ...

Forager.ForagingSpells = {
	
}

-- class colours 
Forager.ClassColours = {
	--DEATHKNIGHT = { r = 0.77, g = 0.12, b = 0.23, fs = '|cffC41F3B' },
	DRUID = { r = 1.00, g = 0.49, b = 0.04, fs = '|cffFF7D0A' },
	HUNTER = { r = 0.67, g = 0.83, b = 0.45, fs = '|cffABD473' },
	MAGE = { r = 0.25, g = 0.78, b = 0.92, fs = '|cff40C7EB' },
	PALADIN = { r = 0.96, g = 0.55, b = 0.73, fs = '|cffF58CBA' },
	PRIEST = { r = 1.00, g = 1.00, b = 1.00, fs = '|cffFFFFFF' },
	ROGUE = { r = 1.00, g = 0.96, b = 0.41, fs = '|cffFFF569' },
	SHAMAN = { r = 0.00, g = 0.44, b = 0.87, fs = '|cff0070DE' },
	WARLOCK = { r = 0.53, g = 0.53, b =	0.93, fs = '|cff8787ED' },
	WARRIOR = { r = 0.78, g = 0.61, b = 0.43, fs = '|cffC79C6E' },
	Total = { r = 1, g = 1, b = 1 }
}

Forager.Herbs = {
	'Peacebloom',
	'Silverleaf',
	'Swiftthistle',
	'Bloodthistle',
	'Earthroot',
	'Mageroyal',
	'Briarthorn',
	'Stranglekelp',
	'Bruiseweed',
	'Grave Moss',
	'Grave Moss Leaf',
	'Wild Steelbloom',
	'Kingsblood',
	'Liferoot',
	'Fadeleaf',
	'Goldthorn',
	'Khadgar\'s Whisker',
	'Dragon\'s Teeth',
	'Wintersbite',
	'Firebloom',
	'Purple Lotus',
	'Sungrass',
	'Blindweed',
	'Ghost Mushroom',
	'Gromsblood',
	'Golden Sansam',
	'Dreamfoil',
	'Mountain Silversage',
	'Sorrowmoss',
	'Plaguebloom',
	'Icecap',
	'Black Lotus',
	'Blacker lotus'
}

Forager.Ore = {
	'Copper Vein',
	'Gold Vein',
	'Hakkari Thorium Vein',
	'Incendicite Mineral Vein',
	'Indurium Mineral Vein',
	'Ooze Covered Gold Vein',
	'Ooze Covered Rich Thorium Vein',
	'Ooze Covered Silver Vein',
	'Ooze Covered Thorium Vein',
	'Rich Thorium Vein',
	'Silver Vein',
	'Small Thorium Vein',
	'Tin Vein',
	'Dark Iron Deposit',
	'Iron Deposit',
	'Lesser Bloodstone Deposit',
	'Mithril Deposit',
	'Ooze Covered Mithril Deposit',
	'Ooze Covered Truesilver Deposit',
	'Truesilver Deposit'
}

Forager.MapZoneTable = {
	{ ID = 1, Name = "Durotar" },
	{ ID = 7, Name = "Mulgore" },
	{ ID = 10, Name = "Northern Barrens" },
	{ ID = 14, Name = "Arathi Highlands" },
	{ ID = 15, Name = "Badlands" },
	{ ID = 17, Name = "Blasted Lands" },
	{ ID = 18, Name = "Tirisfal Glades" },
	{ ID = 21, Name = "Silverpine Forest" },
	{ ID = 22, Name = "Western Plaguelands" },
	{ ID = 23, Name = "Eastern Plaguelands" },
	{ ID = 25, Name = "Hillsbrad Foothills" },
	{ ID = 26, Name = "The Hinterlands" },
	{ ID = 27, Name = "Dun Morogh" },
	{ ID = 32, Name = "Searing Gorge" },
	{ ID = 36, Name = "Burning Steppes" },
	{ ID = 37, Name = "Elwynn Forest" },
	{ ID = 42, Name = "Deadwind Pass" },
	{ ID = 47, Name = "Duskwood" },
	{ ID = 48, Name = "Loch Modan" },
	{ ID = 49, Name = "Redridge Mountains" },
	{ ID = 50, Name = "Northern Stranglethorn" },
	{ ID = 51, Name = "Swamp of Sorrows" },
	{ ID = 52, Name = "Westfall" },
	{ ID = 56, Name = "Wetlands" },
	{ ID = 57, Name = "Teldrassil" },
	{ ID = 62, Name = "Darkshore" },
	{ ID = 63, Name = "Ashenvale" },
	{ ID = 64, Name = "Thousand Needles" },
	{ ID = 65, Name = "Stonetalon Mountains" },
	{ ID = 66, Name = "Desolace" },
	{ ID = 69, Name = "Feralas" },
	{ ID = 70, Name = "Dustwallow Marsh" },
	{ ID = 71, Name = "Tanaris" },
	{ ID = 76, Name = "Azshara" },
	{ ID = 77, Name = "Felwood" },
	{ ID = 78, Name = "Un\'Goro Crater" },
	{ ID = 80, Name = "Moonglade" },
	{ ID = 81, Name = "Silithus" },
	{ ID = 83, Name = "Winterspring" },
	{ ID = 84, Name = "Stormwind City" },
	{ ID = 85, Name = "Orgrimmar" },
	{ ID = 87, Name = "Ironforge" },
	{ ID = 88, Name = "Thunder Bluff" },
	{ ID = 89, Name = "Darnassus" },
	{ ID = 90, Name = "Undercity" },
	{ ID = 94, Name = "Eversong Woods" },
	{ ID = 95, Name = "Ghostlands" },
	{ ID = 97, Name = "Azuremyst Isle" },
	{ ID = 100, Name = "Hellfire Peninsula" },
	{ ID = 102, Name = "Zangarmarsh" },
	{ ID = 103, Name = "The Exodar" },
	{ ID = 104, Name = "Shadowmoon Valley" },
	{ ID = 105, Name = "Blade\'s Edge Mountains" },
	{ ID = 106, Name = "Bloodmyst Isle" },
	{ ID = 107, Name = "Nagrand" },
	{ ID = 108, Name = "Terokkar Forest" },
	{ ID = 109, Name = "Netherstorm" },
	{ ID = 110, Name = "Silvermoon City" },
	{ ID = 111, Name = "Shattrath City" },
	{ ID = 114, Name = "Borean Tundra" },
	{ ID = 115, Name = "Dragonblight" },
	{ ID = 116, Name = "Grizzly Hills" },
	{ ID = 117, Name = "Howling Fjord" },
	{ ID = 118, Name = "Icecrown" },
	{ ID = 119, Name = "Sholazar Basin" },
	{ ID = 120, Name = "The Storm Peaks" },
	{ ID = 121, Name = "Zul\'Drak" },
	{ ID = 122, Name = "Isle of Quel\'Danas" },
	{ ID = 123, Name = "Wintergrasp" },
	{ ID = 127, Name = "Crystalsong Forest" },
	{ ID = 170, Name = "Hrothgar\'s Landing" },
	{ ID = 174, Name = "The Lost Isles" },
	{ ID = 179, Name = "Gilneas" },
	{ ID = 194, Name = "Kezan" },
	{ ID = 198, Name = "Mount Hyjal" },
	{ ID = 199, Name = "Southern Barrens" },
	{ ID = 201, Name = "Kelp\'thar Forest" },
	{ ID = 202, Name = "Gilneas City" },
	{ ID = 203, Name = "Vashj\'ir" },
	{ ID = 204, Name = "Abyssal Depths" },
	{ ID = 205, Name = "Shimmering Expanse" },
	{ ID = 207, Name = "Deepholm" },
	{ ID = 210, Name = "The Cape of Stranglethorn" },
	{ ID = 217, Name = "Ruins of Gilneas" },
	{ ID = 224, Name = "Stranglethorn Vale" },
	{ ID = 241, Name = "Twilight Highlands" },
	{ ID = 244, Name = "Tol Barad" },
	{ ID = 245, Name = "Tol Barad Peninsula" },
	{ ID = 249, Name = "Uldum" },
	{ ID = 276, Name = "The Maelstrom" },
	{ ID = 371, Name = "The Jade Forest" },
	{ ID = 376, Name = "Valley of the Four Winds" },
	{ ID = 379, Name = "Kun-Lai Summit" },
	{ ID = 388, Name = "Townlong Steppes" },
	{ ID = 390, Name = "Vale of Eternal Blossoms" },
	{ ID = 418, Name = "Krasarang Wilds" },
	{ ID = 422, Name = "Dread Wastes" },
	{ ID = 425, Name = "Northshire" },
	{ ID = 433, Name = "The Veiled Stair" },
	{ ID = 460, Name = "Shadowglen" },
	{ ID = 461, Name = "Valley of Trials" },
	{ ID = 462, Name = "Camp Narache" },
	{ ID = 463, Name = "Echo Isles" },
	{ ID = 465, Name = "Deathknell" },
	{ ID = 467, Name = "Sunstrider Isle" },
	{ ID = 468, Name = "Ammen Vale" },
	{ ID = 469, Name = "New Tinkertown" },
	{ ID = 504, Name = "Isle of Thunder" },
	{ ID = 507, Name = "Isle of Giants" },
	{ ID = 525, Name = "Frostfire Ridge" },
	{ ID = 534, Name = "Tanaan Jungle" },
	{ ID = 535, Name = "Talador" },
	{ ID = 539, Name = "Shadowmoon Valley" },
	{ ID = 542, Name = "Spires of Arak" },
	{ ID = 543, Name = "Gorgrond" },
	{ ID = 550, Name = "Nagrand" },
	{ ID = 554, Name = "Timeless Isle" },
	{ ID = 588, Name = "Ashran" },
	{ ID = 625, Name = "Dalaran" },
	{ ID = 630, Name = "Azsuna" },
	{ ID = 634, Name = "Stormheim" },
	{ ID = 641, Name = "Val\'sharah" },
	{ ID = 646, Name = "Broken Shore" },
	{ ID = 650, Name = "Highmountain" },
	{ ID = 680, Name = "Suramar" },
	{ ID = 739, Name = "Trueshot Lodge" },
	{ ID = 775, Name = "The Exodar" },
	{ ID = 790, Name = "Eye of Azshara" },
	{ ID = 830, Name = "Krokuun" },
	{ ID = 862, Name = "Zuldazar" },
	{ ID = 863, Name = "Nazmir" },
	{ ID = 864, Name = "Vol\'dun" },
	{ ID = 882, Name = "Mac\'Aree" },
	{ ID = 885, Name = "Antoran Wastes" },
	{ ID = 895, Name = "Tiragarde Sound" },
	{ ID = 896, Name = "Drustvar" },
	{ ID = 942, Name = "Stormsong Valley" },
	{ ID = 998, Name = "Undercity" },
	{ ID = 1010, Name = "The MOTHERLODE!!" },
	{ ID = 1039, Name = "Shrine of the Storm" },
	{ ID = 1161, Name = "Boralus" },
	{ ID = 1165, Name = "Dazar\'alor" },
	{ ID = 1169, Name = "Tol Dagor" },
	{ ID = 1187, Name = "Azsuna" },
	{ ID = 1188, Name = "Val\'sharah" },
	{ ID = 1189, Name = "Highmountain" },
	{ ID = 1190, Name = "Stormheim" },
	{ ID = 1191, Name = "Suramar" },
	{ ID = 1192, Name = "Broken Shore" },
	{ ID = 1193, Name = "Zuldazar" },
	{ ID = 1194, Name = "Nazmir" },
	{ ID = 1195, Name = "Vol\'dun" },
	{ ID = 1196, Name = "Tiragarde Sound" },
	{ ID = 1197, Name = "Drustvar" },
	{ ID = 1198, Name = "Stormsong Valley" },
}
